<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.4.1</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <properties>
        <java.version>1.8</java.version>
        <spring-cloud.version>2020.0.0</spring-cloud.version>
    </properties>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>huimv-admin</artifactId>
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.2.5</version>
        </dependency>
        <dependency>
            <groupId>com.auth0</groupId>
            <artifactId>java-jwt</artifactId>
            <version>3.3.0</version>
        </dependency>
        <dependency>
            <groupId>com.belerweb</groupId>
            <artifactId>pinyin4j</artifactId>
            <version>2.5.1</version>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
            <version>0.9.1</version>
        </dependency>
        <dependency>
            <groupId>net.sf.json-lib</groupId>
            <artifactId>json-lib</artifactId>
            <version>2.2.3</version>
            <classifier>jdk15</classifier>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.28</version>
        </dependency>
        <dependency>
            <groupId>cn.dustlight.captcha</groupId>
            <artifactId>redis-store</artifactId>
            <version>0.0.6</version>
        </dependency>
        <dependency>
            <groupId>cn.dustlight.captcha</groupId>
            <artifactId>captcha-core</artifactId>
            <version>0.0.6</version>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.7.11</version>
        </dependency>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>3.4.2</version>
        </dependency>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-extension</artifactId>
            <version>3.4.2</version>
        </dependency>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-generator</artifactId>
            <version>3.2.0</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>commons-codec</artifactId>
            <version>1.4</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.0.1</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.3.1</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>commons-logging</artifactId>
            <version>1.1.1</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>Digests.jar</artifactId>
            <version>1.1.1</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.8</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.1</version>
        </dependency>
        <dependency>
            <groupId>com.hikvision.ga</groupId>
            <artifactId>artemis-http-client</artifactId>
            <version>1.1.8</version>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.14</version>
        </dependency>
        <dependency>
            <groupId>com.jcraft</groupId>
            <artifactId>jsch</artifactId>
            <version>0.1.54</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>HttpClientSSLUtils</artifactId>
            <version>1.0</version>
        </dependency>
        <dependency>
            <groupId>com.hkvs</groupId>
            <artifactId>httpcore</artifactId>
            <version>4.4.3</version>
        </dependency>

        <dependency>
            <groupId>org.jxls</groupId>
            <artifactId>jxls</artifactId>
            <version>2.6.0</version>
        </dependency>
        <dependency>
            <groupId>org.jxls</groupId>
            <artifactId>jxls-poi</artifactId>
            <version>1.1.0</version>
        </dependency>


    </dependencies>
        <build>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <!--                <configuration>-->
                    <!--                    <includeSystemScope>true</includeSystemScope>-->
                    <!--                    <skip>true</skip>-->
                    <!--                    <mainClass>HuimvAdminApplication</mainClass>-->
                    <!--                </configuration>-->
                </plugin>
                <!--在这里修改版本-->
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>2.4.3</version>
                </plugin>
                <!---->


                <!--  代码混淆proguard maven插件  -->
<!--                <plugin>-->
<!--                    <groupId>com.github.wvengen</groupId>-->
<!--                    <artifactId>proguard-maven-plugin</artifactId>-->
<!--                    <version>2.6.0</version>-->
<!--                    <executions>-->
<!--                        &lt;!&ndash;   package时执行proguard   &ndash;&gt;-->
<!--                        <execution>-->
<!--                            <phase>package</phase>-->
<!--                            <goals>-->
<!--                                <goal>proguard</goal>-->
<!--                            </goals>-->
<!--                        </execution>-->
<!--                    </executions>-->
<!--                    <configuration>-->
<!--                        <putLibraryJarsInTempDir>true</putLibraryJarsInTempDir>-->
<!--                        &lt;!&ndash;  输入的jar包  &ndash;&gt;-->
<!--                        <injar>${project.build.finalName}.jar</injar>-->
<!--                        &lt;!&ndash;  输出的jar包  &ndash;&gt;-->
<!--                        <outjar>${project.build.finalName}.jar</outjar>-->
<!--                        &lt;!&ndash;  是否进行混淆，默认为true  &ndash;&gt;-->
<!--                        <obfuscate>true</obfuscate>-->
<!--                        &lt;!&ndash;  配置文件,通常为proguard.cfg,主要对options选项进行配置,所有的options选项都可以进行配置  &ndash;&gt;-->
<!--                        <proguardInclude>${project.basedir}/proguard.cfg</proguardInclude>-->
<!--                        &lt;!&ndash;  额外的jar,项目编译所需的jar  &ndash;&gt;-->
<!--                        <libs>-->
<!--                            <lib>${java.home}/lib/rt.jar</lib>-->
<!--                            &lt;!&ndash;<lib>${java.home}/lib/jce.jar</lib>&ndash;&gt;-->
<!--                            <lib>${java.home}/lib/jsse.jar</lib>-->
<!--                        </libs>-->
<!--                        &lt;!&ndash;  对输入jar进行过滤，如对META-INFO文件不处理  &ndash;&gt;-->
<!--                        <inLibsFilter>!META-INF/**,!META-INF/versions/**</inLibsFilter>-->
<!--                        &lt;!&ndash;  输出路径配置,必须包含injar标签中填写的jar  &ndash;&gt;-->
<!--                        <outputDirectory>${project.build.directory}</outputDirectory>-->
<!--                        &lt;!&ndash;  上面使用了conf配置文件，options无需配置  &ndash;&gt;-->
<!--                        &lt;!&ndash;<options></options>&ndash;&gt;-->
<!--                    </configuration>-->
<!--                </plugin>-->

            </plugins>

        </build>

</project>